USN-2843-3: Linux kernel (Raspberry Pi 2) vulnerabilities

17 December 2015

Several security issues were fixed in the kernel.

Releases

Packages

  • linux-raspi2 - Linux kernel for Raspberry Pi 2

Details

郭永刚 discovered that the ppp implementation in the Linux kernel did
not ensure that certain slot numbers are valid. A local attacker with the
privilege to call ioctl() on /dev/ppp could cause a denial of service
(system crash). (CVE-2015-7799)

Dmitry Vyukov discovered that the Linux kernel's keyring handler attempted
to garbage collect incompletely instantiated keys. A local unprivileged
attacker could use this to cause a denial of service (system crash).
(CVE-2015-7872)

It was discovered that the virtual video osd test driver in the Linux
kernel did not properly initialize data structures. A local attacker could
use this to obtain sensitive information from the kernel. (CVE-2015-7884)

It was discovered that the driver for Digi Neo and ClassicBoard devices did
not properly initialize data structures. A local attacker could use this to
obtain sensitive information from the kernel. (CVE-2015-7885)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 15.10

After a standard system update you need to reboot your computer to make
all the necessary changes.

ATTENTION: Due to an unavoidable ABI change the kernel updates have
been given a new version number, which requires you to recompile and
reinstall all third party kernel modules you might have installed. If
you use linux-restricted-modules, you have to update that package as
well to get modules which work with the new kernel version. Unless you
manually uninstalled the standard kernel metapackages (e.g. linux-generic,
linux-server, linux-powerpc), a standard system upgrade will automatically
perform this as well.

Related notices

  • USN-2842-1: linux-image-3.19.0-41-generic, linux-image-3.19.0-41-generic-lpae, linux-image-3.19.0-41-powerpc64-emb, linux-image-3.19.0-41-lowlatency, linux-image-3.19.0-41-powerpc64-smp, linux, linux-image-3.19.0-41-powerpc-e500mc, linux-image-3.19.0-41-powerpc-smp
  • USN-2824-1: linux-image-3.16.0-55-lowlatency, linux-image-3.16.0-55-powerpc-smp, linux-image-3.16.0-55-generic, linux-image-3.16.0-55-powerpc64-emb, linux-image-3.16.0-55-powerpc64-smp, linux-lts-utopic, linux-image-3.16.0-55-powerpc-e500mc, linux-image-3.16.0-55-generic-lpae
  • USN-2823-1: linux-image-3.13.0-71-generic, linux-image-3.13.0-71-lowlatency, linux-image-3.13.0-71-powerpc-e500, linux-image-3.13.0-71-powerpc64-smp, linux-image-3.13.0-71-generic-lpae, linux-image-3.13.0-71-powerpc64-emb, linux-image-3.13.0-71-powerpc-e500mc, linux, linux-image-3.13.0-71-powerpc-smp
  • USN-2829-2: linux-image-3.19.0-39-lowlatency, linux-image-3.19.0-39-generic-lpae, linux-image-3.19.0-39-powerpc64-emb, linux-image-3.19.0-39-powerpc-e500mc, linux-image-3.19.0-39-powerpc-smp, linux-image-3.19.0-39-powerpc64-smp, linux-image-3.19.0-39-generic, linux-lts-vivid
  • USN-2843-2: linux-image-4.2.0-21-generic, linux-image-4.2.0-21-powerpc-e500mc, linux-image-4.2.0-21-lowlatency, linux-image-4.2.0-21-powerpc64-smp, linux-image-4.2.0-21-generic-lpae, linux-image-4.2.0-21-powerpc-smp, linux-image-4.2.0-21-powerpc64-emb, linux-lts-wily
  • USN-2841-2: linux-image-3.13.0-73-generic-lpae, linux-image-3.13.0-73-generic, linux-lts-trusty
  • USN-2841-1: linux-image-3.13.0-73-powerpc64-emb, linux-image-3.13.0-73-generic, linux-image-3.13.0-73-generic-lpae, linux-image-3.13.0-73-lowlatency, linux-image-3.13.0-73-powerpc-smp, linux-image-3.13.0-73-powerpc64-smp, linux-image-3.13.0-73-powerpc-e500, linux, linux-image-3.13.0-73-powerpc-e500mc
  • USN-2886-1: linux-image-3.2.0-98-generic-pae, linux-image-3.2.0-98-omap, linux-image-3.2.0-98-virtual, linux-image-3.2.0-98-highbank, linux-image-3.2.0-98-powerpc-smp, linux-image-3.2.0-98-powerpc64-smp, linux-image-3.2.0-98-generic, linux
  • USN-2842-2: linux-image-3.19.0-41-generic, linux-image-3.19.0-41-generic-lpae, linux-image-3.19.0-41-powerpc64-emb, linux-lts-vivid, linux-image-3.19.0-41-lowlatency, linux-image-3.19.0-41-powerpc64-smp, linux-image-3.19.0-41-powerpc-e500mc, linux-image-3.19.0-41-powerpc-smp
  • USN-2829-1: linux-image-3.19.0-39-lowlatency, linux-image-3.19.0-39-generic-lpae, linux-image-3.19.0-39-powerpc64-emb, linux-image-3.19.0-39-powerpc-e500mc, linux-image-3.19.0-39-powerpc-smp, linux-image-3.19.0-39-powerpc64-smp, linux-image-3.19.0-39-generic, linux
  • USN-2886-2: linux-ti-omap4, linux-image-3.2.0-1476-omap4
  • USN-2840-1: linux-image-3.2.0-96-powerpc64-smp, linux-image-3.2.0-96-generic-pae, linux-image-3.2.0-96-powerpc-smp, linux-image-3.2.0-96-virtual, linux-image-3.2.0-96-generic, linux-image-3.2.0-96-highbank, linux, linux-image-3.2.0-96-omap
  • USN-2826-1: linux-image-3.13.0-71-generic, linux-image-3.13.0-71-generic-lpae, linux-lts-trusty
  • USN-2844-1: linux-image-3.16.0-56-generic-lpae, linux-image-3.16.0-56-powerpc64-emb, linux-image-3.16.0-56-powerpc-smp, linux-image-3.16.0-56-generic, linux-image-3.16.0-56-powerpc64-smp, linux-lts-utopic, linux-image-3.16.0-56-lowlatency, linux-image-3.16.0-56-powerpc-e500mc
  • USN-2843-1: linux-image-4.2.0-21-generic, linux-image-4.2.0-21-powerpc-e500mc, linux-image-4.2.0-21-lowlatency, linux-image-4.2.0-21-powerpc64-smp, linux-image-4.2.0-21-generic-lpae, linux-image-4.2.0-21-powerpc-smp, linux-image-4.2.0-21-powerpc64-emb, linux
  • USN-2840-2: linux-image-3.2.0-1475-omap4, linux-ti-omap4